1. Market Data
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Market Data

Get historical events in the same topic series

GET
/api/market/{categoryKey}/{topicKey}/events/{eventIdOrSlug}/history
Gets the historical event list in the same series by the current event id/slug or any market id/slug under the event. limit defaults to 20, and the server constrains valid values to 1 through 100.

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/market/politics/iran/events/iran-nuclear-deal-2026/history?limit=20&active=false&closed=true' \
--header 'Accept-Language: zh_CN'

Responses

🟠400
application/json
Parameter error or unsupported topic
Bodyapplication/json

Example
{
    "code": 500,
    "msg": "eventIdOrSlug is required",
    "data": null
}
🟢200MarketEventsSuccess
🔴500ServerError
Modified at 2026-05-19 02:21:34
Previous
Get topic event list
Next
Get topic event details
Built with